package entities

type MarketingProduct struct {
	Id                  uint     `gorm:"primaryKey;autoIncrement"`
	MarketingId         uint     `gorm:"not null"`
	ProductWarehouseId  uint     `gorm:"not null"`
	Qty                 float64  `gorm:"type:numeric(15,3);not null"`
	ConvertionUnit      *string  `gorm:"type:varchar(20)"`
	WeightPerConvertion *float64 `gorm:"type:numeric(15,3)"`
	Week                *int     `gorm:"type:integer"`
	UnitPrice           float64  `gorm:"type:numeric(15,3);not null"`
	AvgWeight           float64  `gorm:"type:numeric(15,3);not null"`
	TotalWeight         float64  `gorm:"type:numeric(15,3);not null"`
	TotalPrice          float64  `gorm:"type:numeric(15,3);not null"`

	Marketing        Marketing                 `gorm:"foreignKey:MarketingId;references:Id"`
	ProductWarehouse ProductWarehouse          `gorm:"foreignKey:ProductWarehouseId;references:Id"`
	DeliveryProduct  *MarketingDeliveryProduct `gorm:"foreignKey:MarketingProductId;references:Id"`
}
